Page 1 of 1

Zimbra 8.7.1 upgrade issues

Posted: Mon Dec 19, 2016 10:04 am
by bhwong
The Zimbra 8.7.1 upgrade is quite difference from the past upgrade I have done. Not only do I need to get the proxy and memcached installed and running first, I'm not suppose to stop the zimbra services from running during the upgrade process which was a requirement in the past... and the full installation file is no longer available for download!

1. I realize that if I stop zimbra services before upgrading, it won't be able to proceed due to ldap error. This is never mentioned in the release note. So I'm suppose to keep it running during the upgrade process?

2. I notice that there is no pdf release note for Zimbra 8.7.1. Where can I download this? Because critical upgrade instructions is not mention in this incomplete html release note at all: https://wiki.zimbra.com/wiki/Zimbra_Releases/8.7.1

3, The upgrade took a very long time because it need to download most of the modules during the installation process. How can I download them before proceeding with the upgrade in order to reduce the downtime period?

4. I also read that enabling the Proxy (which is now required) has cause webmail to hangs every few hours:
viewtopic.php?f=13&t=60503&p=271836&hilit=ubuntu+12#p271836
Is this resolved before I proceed with the upgrade?

Re: Zimbra 8.7.1 upgrade issues

Posted: Tue Dec 20, 2016 1:47 am
by bhwong
After my trial upgrade (luckily I didn't upgrade on my production server), I realize that I cannot even restart all the Zimbra services as it require Zimbra password which I didn't have. My only choice is to hit ctrl+c to skip them. Since I'm not able to attach any screen capture, here's the messages shown:

Stopping zimlet webapp...[sudo] password for zimbra:
Done.
Stopping zimbraAdmin webapp...[sudo] password for zimbra:
Done.
Stopping service webapp...[sudo] password for zimbra:
Done.
Stopping stats...Done.
Stopping mta...[sudo] password for zimbra:
Done.
Stopping zimlet webapp...[sudo] password for zimbra:
Done.
...
Starting ldap...[sudo] password for zimbra:
[sudo] password for zimbra:
[sudo] password for zimbra:
[sudo] password for zimbra:

It refuses to let me skip them thru ctrl+c. So I'm struck at this screen.

Re: Zimbra 8.7.1 upgrade issues

Posted: Tue Dec 20, 2016 2:40 am
by bhwong
Somehow my sudoers get reset and the solution here: https://wiki.zimbra.com/wiki/Zimbra_ser ... oers_issue
managed to solve most of them but mta still prompt for password.

ldap also failed to start. The error is:

58589aab lt_dlopenext failed: (back_mdb.la) file not found
58589aab config error processing cn=module{0},cn=config: <olcModuleLoad> handle exited with 1

Re: Zimbra 8.7.1 upgrade issues

Posted: Tue Dec 20, 2016 7:55 am
by bhwong
Problem partially resolved with solutions from:

viewtopic.php?f=13&t=60691&start=10
viewtopic.php?t=59139
viewtopic.php?t=34078

It appears that the upgrade installer for 8.7.1 is incomplete and not well tested before releasing.

However, when I run /opt/zimbra/libexec/zmsetup.pl to complete the installation, it took a very long time to perform migration and halfway thru, it end with this upgrade failure:

Code: Select all

Error while running '/opt/zimbra/bin/mysql --user=zimbra --password=xxx --database=zimbra --batch --skip-colum-names'
Script failed with code 256: - exiting
UPGRADE FAILED - exiting


Look like this is common and no one seem to have a solution:
viewtopic.php?t=8083
viewtopic.php?t=16453
viewtopic.php?t=34907
viewtopic.php?t=41497&start=10
viewtopic.php?t=46122
viewtopic.php?t=8135
viewtopic.php?t=15177
viewtopic.php?t=56905

The workaround is to block the migration from quitting:
viewtopic.php?t=60289

Re: Zimbra 8.7.1 upgrade issues

Posted: Wed Dec 21, 2016 1:56 am
by bhwong
After forcing the installation to finish up, from the CLI, it shows this:

Code: Select all

Release 8.7.1.GA.1670.UBUNTU12.64 UBUNTU12_64 NETWORK edition


But from the UI admin concole, it shows this:

Code: Select all

Zimbra Version: 8.0.9_GA_6191.NETWORK